App\Entity\Upload:
    type: entity
    table: upload
    indexes:
        session_sid_idx:
            columns:
                - sid
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        sid:
            type: guid
            nullable: false
            length: 40
            options:
                fixed: true
        creatorId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: creator_id
        creationDate:
            type: datetime
            nullable: false
            column: creation_date
        modifyId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: modify_id
        modifyDate:
            type: datetime
            nullable: false
            column: modify_date
        status:
            type: integer
            nullable: true
            options:
                unsigned: false
        size:
            type: integer
            nullable: true
            options:
                unsigned: false
    lifecycleCallbacks: {  }
